package tome_lib

//go:generate enumer -type=CardType -json
type CardType int

const (
	Valk       CardType = iota
	Speedster           //ace, has haste
	Commander           //2, buffs row
	Paladin             //3, buffs neighbours
	Scholar             //4, draws card
	Warrior             //5, nothing
	Fighter             //6, nothing
	Seven               //7, seven
	ShieldWall          //8, only blocks

	//new cards
	//Rank 1
	HealthPotion //both players get +1 health
	Tree         //grows to 8 after five turns
	Goblin       //adds two other 1 strength units
	Chupacabra   //Destroy target creature

	//Rank 2
	Ally  //puts +1 token on allied unit
	Enemy //puts -1 token on enemy unit

	//Rank 3
	Duelist    //puts +0/+1 on allied unit
	Bureaucrat //creates a Clog token on any open space

	//Rank 4
	Vanguard  //puts +1/+0 on allied unit
	Student   //scry 2, draw 1
	Librarian //scry life, draw 1

	//Rank 5
	Elephant //Created a dud on enemy board

	//Rank 6
	Mesmerist //Shuffles enemy deck
	Diviner   //Peek top 3, bottom 2

	//Rank 8
	Hologram //Can't deal HP damage, disapears after 3 turns

	//Tokens,etc
	GoblinSpawn //1 power goblin token
	Dud         //0 power token
	Clog        //0 power token that disapears after one turn

)
const (
	EmptyValue CardType = -1
)
