package tome_lib

//go:generate enumer -type=GameStatus -json
type GameStatus int

const (
	StatusLobby GameStatus = iota
	StatusReady
	StatusPlaying
	StatusStop
	StatusSentinalWin
	StatusScourgeWin
	StatusDraw
)

//go:generate enumer -type=TargetStatus -json

type TargetStatus int

const (
	TargetSelf TargetStatus = iota
	TargetOwn
	TargetOwnEmpty
	TargetOpp
	TargetOppEmpty
	TargetAny
	TargetNone
)

const (
	SentinalID = 1
	ScourgeID  = 2
)

func flipID(i int) int {
	if i == SentinalID {
		return ScourgeID
	} else if i == ScourgeID {
		return SentinalID
	} else {
		return -1
	}
}
